<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\VideoMessage;

use UnexpectedValueException;




class Attribution
{
    


    const NONE = 0;
    


    const GIPHY = 1;
    


    const TENOR = 2;
    


    const KLIPY = 3;

    private static $valueToName = [
        self::NONE => 'NONE',
        self::GIPHY => 'GIPHY',
        self::TENOR => 'TENOR',
        self::KLIPY => 'KLIPY',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

